Libevent Functions
event_base_free
Libevent Functions
PHP Manual

# event_add

Add an event to the set of monitored events

### Description

bool event_add ( resource `$event` [, int `$timeout` = -1 ] )

event_add schedules the execution of the `event` when the event specified in event_set occurs or in at least the time specified by the `timeout` argument. If `timeout` was not specified, not timeout is set. The `event` must be already initalized by event_set and event_base_set functions. If the `event` already has a timeout set, it is replaced by the new one.

### Parameters

`event`

  Valid event resource.

`timeout`

  Optional timeout (in microseconds).

### Return Values

event_add returns `TRUE` on success or `FALSE` on error.